<div class="product-sales-area">
  <div class="container-fluid custom_container_fluid_padding">
      <div class="row">
          <div class="col-sm-12">
              <h4 class="page-title">Settings</h4>
          </div>
      </div>
      <div class="row">
          <div class="col-lg-12">
              <div class="card-box">
                  <div class="row">
                      <div class="col-md-12">
                          <div class="Setting_Tabs">
                              <ul class="nav nav-tabs navtab-bg nav-justified">
                                  <li [attr.class]="activeTab=='general' ?'active tab':'tab'" ><a href="#general" data-toggle="tab" (click)="activeTab='general';">General</a></li>
                                  <li [attr.class]="activeTab=='email_settings' ?'active tab':'tab'" (click)="openEmailSettings()"><a href="#Email_Settings" data-toggle="tab" (click)="activeTab='email_settings';">Email Settings</a></li>
                                  <li [attr.class]="activeTab=='sms_settings' ?'active tab':'tab'" (click)="getSMSDetails()"><a href="#SMS_Settings" data-toggle="tab" (click)="activeTab='sms_settings';">SMS Settings</a></li>
                                  <li [attr.class]="activeTab=='notifications' ?'active tab':'tab'"><a href="#Notifications" data-toggle="tab" (click)="activeTab='notifications';">Notifications</a></li>
                                  <li [attr.class]="activeTab=='service_levels' ?'active tab':'tab'" (click)="getServiceLevelDetails()"><a href="#Service_Levels" data-toggle="tab" (click)="activeTab='service_levels';">Service Levels</a></li>
                              </ul>

                              <div class="tab-content">
                                  <div id="general" class="tab-pane active">
                                      <div class="row">
                                          <div class="col-sm-3">
                                              <label class="control-label">Support Email address</label>
                                          </div>
                                          <div class="col-sm-9">
                                              <div class="form-group">
                                                  <input type="text" class="form-control" [(ngModel)]="supportEmailAddress" name="supportEmailAddress" placeholder="Support Email address" >
                                              </div>
                                          </div>
                                      </div>
                                      <div class="row">
                                          <div class="col-sm-3">
                                              <label class="control-label">Support Contact No</label>
                                          </div>
                                          <div class="col-sm-9">
                                              <div class="form-group">
                                                  <input type="text" class="form-control" [(ngModel)]="supportContactNumber" name="supportContactNumber" placeholder="Support Contact No" >
                                              </div>
                                          </div>
                                      </div>
                                    </div>
                                  <div id="Email_Settings" class="tab-pane">
                                      <div class="row">
                                          <div class="col-sm-3">
                                              <label class="control-label">Email From Address</label>
                                          </div>
                                          <div class="col-sm-9">
                                              <div class="form-group">
                                                  <input type="text" class="form-control" [(ngModel)]="emailFromAdress" name="emailFromAdress" placeholder="Dreamguy's Technologies" value="the-gigs">
                                              </div>
                                          </div>
                                      </div>
                                      <div class="row">
                                          <div class="col-sm-3">
                                              <label class="control-label">Email From Name</label>
                                          </div>
                                          <div class="col-sm-9">
                                              <div class="form-group">
                                                  <input type="text" [(ngModel)]="emailFromName" name="emailFromName" class="form-control only_alphabets" >
                                              </div>
                                          </div>
                                      </div>
                                      <div class="row">
                                          <div class="col-sm-3">
                                              <label class="control-label">SMTP Host</label>
                                          </div>
                                          <div class="col-sm-9">
                                              <div class="form-group">
                                                  <input type="text" [(ngModel)]="smtpHost" name="smtpHost" class="form-control">
                                              </div>
                                          </div>
                                      </div>
                                      <div class="row">
                                          <div class="col-sm-3">
                                              <label class="control-label">Port No</label>
                                          </div>
                                          <div class="col-sm-9">
                                              <div class="form-group">
                                                  <input type="text" [(ngModel)]="portNumber" name="portNumber" class="form-control" >
                                              </div>
                                          </div>
                                      </div>
                                      <div class="row">
                                          <div class="col-sm-3">
                                              <label class="control-label">Password</label>
                                          </div>
                                          <div class="col-sm-9">
                                              <div class="form-group">
                                                  <input type="text" [(ngModel)]="password" name="password" class="form-control" >
                                              </div>
                                          </div>
                                      </div>
                                      <div class="row">
                                          <div class="col-sm-3">
                                              <label class="control-label">SSL</label>
                                          </div>
                                          <div class="col-sm-9">
                                              <div class="form-group">
                                                  <label class="radio" style="display: inline-block;margin-top: 0px;">Yes 
                                                    <input type="radio" name="SSL" value="Yes" checked="checked" [(ngModel)]="sslEmail">
                                                    <span class="checkround"></span>
                                                  </label>
                                                  <label class="radio" style="display: inline-block;margin-top: 0px;">No
                                                    <input type="radio" name="SSL" value="No" [(ngModel)]="sslEmail">
                                                    <span class="checkround"></span>
                                                  </label>
                                              </div>
                                          </div>
                                      </div>
                                      <div class="row pull-right">
                                        <button name="form_submit" type="submit" class="btn btn-success center-block" (click)="saveEmailSettings()" value="true">Save Changes</button>
                                      </div>
                                  </div>
                                  <div id="SMS_Settings" class="tab-pane">
                                      <div class="row">
                                          <div class="col-sm-3">
                                              <label class="control-label">SMS API URL</label>
                                          </div>
                                          <div class="col-sm-9">
                                              <div class="form-group">
                                                  <input type="text" class="form-control" [(ngModel)]="smsSettings" name="smsSettings" placeholder="Enter SMS API URL">
                                              </div>
                                          </div>
                                      </div>
                                      <div class="row pull-right">
                                        <button name="form_submit" type="submit" class="btn btn-success center-block" (click)="saveSMSSettings()" value="true">Save Changes</button>
                                      </div>
                                  </div>
                                  <div id="Notifications" class="tab-pane">
                                      <div class="row">
                                          <div class="col-md-12">
                                              <div class="table-responsive">
                                                <kendo-grid [data]="griddata" height="auto" [pageSize]="pageSize" [skip]="state.skip" [sort]="sort"
                                                [sortable]="{ allowUnsort: true,mode:  'single'}" (sortChange)="sortChange($event)"
                                                [filter]="state.filter" [pageable]="true" scrollable="true" [resizable]="true" [reorderable]="true"
                                                (pageChange)="pageChange($event)" (dataStateChange)="dataStateChange($event)">
                                               <kendo-grid-column field="Notification_Name" title="Notification Name" [headerStyle]="{'height':'40px','width':'3%'}"
                                                  [style]="{'width':'3%'}">
                                                  <ng-template kendoGridCellTemplate let-idx="dataItem" let-i="rowIndex">
                                                    <div class="row">
                                                      <div class="col-md-12 row_padding">
                                                        <h6 class="table_heading_name trade_font"></h6>
                                                      </div>
                                                    </div>
                                                  </ng-template>
                                                </kendo-grid-column>
                                                <kendo-grid-column field="notification_allow_to" title="Notification allow to" [headerStyle]="{'height':'40px','width':'5%'}"
                                                  [style]="{'width':'5%'}">
                                                  <ng-template kendoGridCellTemplate let-idx="dataItem">
                                                    <div class="row">
                                                      <div class="col-md-12 row_padding">
                                                        <h6 class="table_heading_name trade_font">{{idx.id}}</h6>
                                                      </div>
                                                    </div>
                                                  </ng-template>
                                                </kendo-grid-column>
                                                <kendo-grid-column field="schedule" title="Schedule"
                                                  [headerStyle]="{'height':'40px','width':'15%'}" [style]="{'width':'15%'}">
                                                  <ng-template kendoGridCellTemplate let-idx="dataItem">
                                                    <div class="row">
                                                      <div class="col-md-12 row_padding">
                                                        <h6 class="table_heading_name trade_font">{{idx.buyer?.user_name}}</h6>
                                                      </div>
                                                    </div>
                                                  </ng-template>
                                                </kendo-grid-column>
                                                <kendo-grid-column field="notification_channel" title="Notification Channel"
                                                  [headerStyle]="{'height':'40px','width':'16%'}" [style]="{'width':'16%'}">
                                                  <ng-template kendoGridCellTemplate let-idx="dataItem">
                                                    <div class="row">
                                                      <div class="col-md-12 row_padding">
                                                        <h6 class="table_heading_name trade_font">{{idx.amount | currency: 'INR':'symbol':'1.0-0'}}</h6>
                                                      </div>
                                                    </div>
                                                  </ng-template>
                                                </kendo-grid-column>
                                                <kendo-grid-column field="status" title="Status" 
                                                  [headerStyle]="{'height':'40px','width':'15%'}" [style]="{'width':'15%'}">
                                                  <ng-template kendoGridCellTemplate let-idx="dataItem">
                                                    <div class="col-md-12 row_padding">
                                                      <h6 class="table_heading_name trade_font"><span class="{{idx.property}}">
                                                        {{idx.order_status?.order_status_name}}
                                                      </span></h6>
                                                    </div>
                                                  </ng-template>
                                                </kendo-grid-column>
                                                <kendo-grid-column field="action" title="Action" 
                                                [headerStyle]="{'height':'40px','width':'15%'}" [style]="{'width':'15%'}">
                                                <ng-template kendoGridCellTemplate let-idx="dataItem">
                                                  <div class="col-md-12 row_padding">
                                                    <h6 class="table_heading_name trade_font"></h6>
                                                  </div>
                                                </ng-template>
                                              </kendo-grid-column>
                                              </kendo-grid>
                                              </div>
                                          </div>
                                      </div>
                                  </div>
                                  <div id="Service_Levels" class="tab-pane">
                                      <div class="row">
                                          <div class="col-md-12">
                                              <div class="">
                                                  <table class="table table-striped">
                                                      <thead>
                                                          <tr>
                                                              <th style="width: 5%;">Level</th>
                                                              <th style="width: 16%">Range ( <i class="fa fa-inr"></i> )</th>
                                                              <th style="width: 30%">Nos</th>
                                                          </tr>
                                                      </thead>
                                                      <tbody id="myTable">
                                                          <tr *ngFor="let item of serviceLevelDetails">
                                                              <td>{{item.level_name}}</td>
                                                              <td>
                                                                  <div class="row">
                                                                      <div class="col-md-5">
                                                                          <input type="text" class="form-control" [(ngModel)]="item.range_from" [name]="'range_from_'+item.id" (blur)="range_from_blur(item)" (keypress)="onlyNumbers($event)" placeholder="Min">
                                                                      </div>
                                                                      <div class="col-md-1 text-center">
                                                                          <h4 style="padding: 6px 0px;margin: 0;">-</h4>
                                                                      </div>
                                                                      <div class="col-md-5">
                                                                          <input type="text" class="form-control" [(ngModel)]="item.range_to" [name]="'range_to_'+item.id" (blur)="range_to_blur(item)" (keypress)="onlyNumbers($event)" placeholder="Max">
                                                                      </div>
                                                                  </div>
                                                              </td>
                                                              <td>
                                                                  <input type="text" class="form-control" [(ngModel)]="item.no_of_orders" [name]="'no_of_orders_'+item.id" (keypress)="onlyNumbers($event)" style="width: 20%;">
                                                              </td>
                                                          </tr>
                                                      </tbody>
                                                  </table>
                                              </div>
                                          </div>
                                      </div>
                                      <div class="row pull-right">
                                        <button name="form_submit" type="submit" class="btn btn-success center-block" (click)="saveServiceLevelDetails()" value="true">Save Changes</button>
                                      </div>
                                  </div>
                              </div>

                              
                          </div>
                      </div>
                  </div>
              </div>
          </div>
      </div>
  </div>
</div>